package cn.superdesk.uniorder.dubbo.facade.invoice.customer.fundrestream;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.exception.UnifiedOrderRuntimeException;
import cn.superdesk.uniorder.dao.entity.invoice.customer.fundrestream.InvoiceBankStatement;
import cn.superdesk.uniorder.dto.param.invoice.common.InvoiceBankCriteria;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedInvOrderCount;

import java.util.List;
import java.util.Map;

public interface DubboInvoiceBankStatementService {

	void importBankStatementExcel(String token, List<InvoiceBankStatement> list) throws UnifiedOrderRuntimeException;

	R<List<InvoiceBankStatement>> findViewByPage(InvoiceBankCriteria fromVO, int pageNum, int pageSize) throws UnifiedOrderRuntimeException;



	void delete(Map<String, Object> params) throws UnifiedOrderRuntimeException;

	List<InvoiceBankStatement> getBankStatementByApplyId(Map<String, Object> params) throws UnifiedOrderRuntimeException;

	void deleteBackRegister(Map<String, Object> params) throws UnifiedOrderRuntimeException;

	List<UnifiedInvOrderCount> getInvOrderCount(Long id);

	void backRegister(Map<String, Object> params) throws UnifiedOrderRuntimeException;
}
